=== modified file 'mysys/mf_dirname.c'
--- mysys/mf_dirname.c	2008-06-25 05:29:13 +0000
+++ mysys/mf_dirname.c	2008-07-17 21:11:32 +0000
@@ -67,12 +67,10 @@
 size_t dirname_part(char *to, const char *name, size_t *to_res_length)
 {
   size_t length;
-  DBUG_ENTER("dirname_part");
-  DBUG_PRINT("enter",("'%s'",name));
 
   length=dirname_length(name);
   *to_res_length= (size_t) (convert_dirname(to, name, name+length) - to);
-  DBUG_RETURN(length);
+  return(length);
 } /* dirname */
 
 
@@ -112,7 +110,6 @@
 #ifdef BACKSLASH_MBTAIL
   CHARSET_INFO *fs= fs_character_set();
 #endif
-  DBUG_ENTER("convert_dirname");
 
   /* We use -2 here, becasue we need place for the last FN_LIBCHAR */
   if (!from_end || (from_end - from) > FN_REFLEN-2)
@@ -161,5 +158,5 @@
     *to++=FN_LIBCHAR;
     *to=0;
   }
-  DBUG_RETURN(to);                              /* Pointer to end of dir */
+  return(to);                              /* Pointer to end of dir */
 } /* convert_dirname */

=== modified file 'mysys/my_append.c'
--- mysys/my_append.c	2008-06-25 05:29:13 +0000
+++ mysys/my_append.c	2008-07-17 21:11:32 +0000
@@ -39,8 +39,6 @@
   uint Count;
   File from_file,to_file;
   uchar buff[IO_SIZE];
-  DBUG_ENTER("my_append");
-  DBUG_PRINT("my",("from %s to %s MyFlags %d", from, to, MyFlags));
 
   from_file= to_file= -1;
 
@@ -53,12 +51,12 @@
 	    my_write(to_file,buff,Count,MYF(MyFlags | MY_NABP)))
 	  goto err;
       if (my_close(from_file,MyFlags) | my_close(to_file,MyFlags))
-	DBUG_RETURN(-1);				/* Error on close */
-      DBUG_RETURN(0);
+	return(-1);				/* Error on close */
+      return(0);
     }
   }
 err:
   if (from_file >= 0) VOID(my_close(from_file,MyFlags));
   if (to_file >= 0)   VOID(my_close(to_file,MyFlags));
-  DBUG_RETURN(-1);
+  return(-1);
 }

=== modified file 'mysys/my_bitmap.c'
--- mysys/my_bitmap.c	2008-07-15 06:45:16 +0000
+++ mysys/my_bitmap.c	2008-07-17 21:11:32 +0000
@@ -99,7 +99,6 @@
 bool bitmap_init(MY_BITMAP *map, my_bitmap_map *buf, uint n_bits,
 		    bool thread_safe __attribute__((unused)))
 {
-  DBUG_ENTER("bitmap_init");
   if (!buf)
   {
     uint size_in_bytes= bitmap_buffer_size(n_bits);
@@ -111,7 +110,7 @@
     }
     map->mutex= 0;
     if (!(buf= (my_bitmap_map*) my_malloc(size_in_bytes+extra, MYF(MY_WME))))
-      DBUG_RETURN(1);
+      return(1);
     if (thread_safe)
     {
       map->mutex= (pthread_mutex_t *) ((char*) buf + size_in_bytes);
@@ -120,20 +119,19 @@
   }
   else
   {
-    DBUG_ASSERT(thread_safe == 0);
+    assert(thread_safe == 0);
   }
 
   map->bitmap= buf;
   map->n_bits= n_bits;
   create_last_word_mask(map);
   bitmap_clear_all(map);
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
 void bitmap_free(MY_BITMAP *map)
 {
-  DBUG_ENTER("bitmap_free");
   if (map->bitmap)
   {
     if (map->mutex)
@@ -141,7 +139,7 @@
     my_free((char*) map->bitmap, MYF(0));
     map->bitmap=0;
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -184,7 +182,7 @@
 bool bitmap_test_and_set(MY_BITMAP *map, uint bitmap_bit)
 {
   bool res;
-  DBUG_ASSERT(map->bitmap && bitmap_bit < map->n_bits);
+  assert(map->bitmap && bitmap_bit < map->n_bits);
   bitmap_lock(map);
   res= bitmap_fast_test_and_set(map, bitmap_bit);
   bitmap_unlock(map);
@@ -217,7 +215,7 @@
 bool bitmap_test_and_clear(MY_BITMAP *map, uint bitmap_bit)
 {
   bool res;
-  DBUG_ASSERT(map->bitmap && bitmap_bit < map->n_bits);
+  assert(map->bitmap && bitmap_bit < map->n_bits);
   bitmap_lock(map);
   res= bitmap_fast_test_and_clear(map, bitmap_bit);
   bitmap_unlock(map);
@@ -228,7 +226,7 @@
 uint bitmap_set_next(MY_BITMAP *map)
 {
   uint bit_found;
-  DBUG_ASSERT(map->bitmap);
+  assert(map->bitmap);
   if ((bit_found= bitmap_get_first(map)) != MY_BIT_NONE)
     bitmap_set_bit(map, bit_found);
   return bit_found;
@@ -240,7 +238,7 @@
   uint prefix_bytes, prefix_bits, d;
   uchar *m= (uchar *)map->bitmap;
 
-  DBUG_ASSERT(map->bitmap &&
+  assert(map->bitmap &&
 	      (prefix_size <= map->n_bits || prefix_size == (uint) ~0));
   set_if_smaller(prefix_size, map->n_bits);
   if ((prefix_bytes= prefix_size / 8))
@@ -259,7 +257,7 @@
   uchar *m= (uchar*)map->bitmap;
   uchar *end_prefix= m+prefix_size/8;
   uchar *end;
-  DBUG_ASSERT(m && prefix_size <= map->n_bits);
+  assert(m && prefix_size <= map->n_bits);
   end= m+no_bytes_in_map(map);
 
   while (m < end_prefix)
@@ -311,7 +309,7 @@
 {
   my_bitmap_map *m1= map1->bitmap, *m2= map2->bitmap, *end;
 
-  DBUG_ASSERT(map1->bitmap && map2->bitmap &&
+  assert(map1->bitmap && map2->bitmap &&
               map1->n_bits==map2->n_bits);
 
   end= map1->last_word_ptr;
@@ -331,7 +329,7 @@
 {
   my_bitmap_map *m1= map1->bitmap, *m2= map2->bitmap, *end;
 
-  DBUG_ASSERT(map1->bitmap && map2->bitmap &&
+  assert(map1->bitmap && map2->bitmap &&
               map1->n_bits==map2->n_bits);
 
   end= map1->last_word_ptr;
@@ -351,7 +349,7 @@
   my_bitmap_map *to= map->bitmap, *from= map2->bitmap, *end;
   uint len= no_words_in_map(map), len2 = no_words_in_map(map2);
 
-  DBUG_ASSERT(map->bitmap && map2->bitmap);
+  assert(map->bitmap && map2->bitmap);
 
   end= to+min(len,len2);
   *map2->last_word_ptr&= ~map2->last_word_mask; /*Clear last bits in map2*/
@@ -401,7 +399,7 @@
 void bitmap_subtract(MY_BITMAP *map, const MY_BITMAP *map2)
 {
   my_bitmap_map *to= map->bitmap, *from= map2->bitmap, *end;
-  DBUG_ASSERT(map->bitmap && map2->bitmap &&
+  assert(map->bitmap && map2->bitmap &&
               map->n_bits==map2->n_bits);
 
   end= map->last_word_ptr;
@@ -415,7 +413,7 @@
 {
   my_bitmap_map *to= map->bitmap, *from= map2->bitmap, *end;
 
-  DBUG_ASSERT(map->bitmap && map2->bitmap &&
+  assert(map->bitmap && map2->bitmap &&
               map->n_bits==map2->n_bits);
   end= map->last_word_ptr;
 
@@ -427,7 +425,7 @@
 void bitmap_xor(MY_BITMAP *map, const MY_BITMAP *map2)
 {
   my_bitmap_map *to= map->bitmap, *from= map2->bitmap, *end= map->last_word_ptr;
-  DBUG_ASSERT(map->bitmap && map2->bitmap &&
+  assert(map->bitmap && map2->bitmap &&
               map->n_bits==map2->n_bits);
   while (to <= end)
     *to++ ^= *from++;
@@ -438,7 +436,7 @@
 {
   my_bitmap_map *to= map->bitmap, *end;
 
-  DBUG_ASSERT(map->bitmap);
+  assert(map->bitmap);
   end= map->last_word_ptr;
 
   while (to <= end)
@@ -452,7 +450,7 @@
   uchar *end= m + no_bytes_in_map(map);
   uint res= 0;
 
-  DBUG_ASSERT(map->bitmap);
+  assert(map->bitmap);
   *map->last_word_ptr&= ~map->last_word_mask; /*Reset last bits to zero*/
   while (m < end)
     res+= my_count_bits_ushort(*m++);
@@ -464,7 +462,7 @@
 {
   my_bitmap_map *to= map->bitmap, *from= map2->bitmap, *end;
 
-  DBUG_ASSERT(map->bitmap && map2->bitmap &&
+  assert(map->bitmap && map2->bitmap &&
               map->n_bits==map2->n_bits);
   end= map->last_word_ptr;
   while (to <= end)
@@ -478,7 +476,7 @@
   uint i,j,k;
   my_bitmap_map *data_ptr, *end= map->last_word_ptr;
 
-  DBUG_ASSERT(map->bitmap);
+  assert(map->bitmap);
   data_ptr= map->bitmap;
   *map->last_word_ptr &= ~map->last_word_mask;
 
@@ -496,10 +494,10 @@
             if (*byte_ptr & (1 << k))
               return (i*32) + (j*8) + k;
           }
-          DBUG_ASSERT(0);
+          assert(0);
         }
       }
-      DBUG_ASSERT(0);
+      assert(0);
     }
   }
   return MY_BIT_NONE;
@@ -512,7 +510,7 @@
   uint i,j,k;
   my_bitmap_map *data_ptr, *end= map->last_word_ptr;
 
-  DBUG_ASSERT(map->bitmap);
+  assert(map->bitmap);
   data_ptr= map->bitmap;
   *map->last_word_ptr|= map->last_word_mask;
 
@@ -530,10 +528,10 @@
             if (!(*byte_ptr & (1 << k)))
               return (i*32) + (j*8) + k;
           }
-          DBUG_ASSERT(0);
+          assert(0);
         }
       }
-      DBUG_ASSERT(0);
+      assert(0);
     }
   }
   return MY_BIT_NONE;
@@ -553,7 +551,7 @@
 void bitmap_lock_clear_bit(MY_BITMAP *map, uint bitmap_bit)
 {
   bitmap_lock(map);
-  DBUG_ASSERT(map->bitmap && bitmap_bit < map->n_bits);
+  assert(map->bitmap && bitmap_bit < map->n_bits);
   bitmap_clear_bit(map, bitmap_bit);
   bitmap_unlock(map);
 }
@@ -617,7 +615,7 @@
 bool bitmap_lock_is_set(const MY_BITMAP *map, uint bitmap_bit)
 {
   bool res;
-  DBUG_ASSERT(map->bitmap && bitmap_bit < map->n_bits);
+  assert(map->bitmap && bitmap_bit < map->n_bits);
   bitmap_lock((MY_BITMAP *)map);
   res= bitmap_is_set(map, bitmap_bit);
   bitmap_unlock((MY_BITMAP *)map);
@@ -641,7 +639,7 @@
 {
   uint res;
 
-  DBUG_ASSERT(map1->bitmap && map2->bitmap &&
+  assert(map1->bitmap && map2->bitmap &&
               map1->n_bits==map2->n_bits);
   bitmap_lock((MY_BITMAP *)map1);
   bitmap_lock((MY_BITMAP *)map2);
@@ -693,7 +691,7 @@
 {
   uint res;
   bitmap_lock((MY_BITMAP *)map);
-  DBUG_ASSERT(map->bitmap);
+  assert(map->bitmap);
   res= bitmap_bits_set(map);
   bitmap_unlock((MY_BITMAP *)map);
   return res;
@@ -729,7 +727,7 @@
 
 void bitmap_lock_set_bit(MY_BITMAP *map, uint bitmap_bit)
 {
-  DBUG_ASSERT(map->bitmap && bitmap_bit < map->n_bits);
+  assert(map->bitmap && bitmap_bit < map->n_bits);
   bitmap_lock(map);
   bitmap_set_bit(map, bitmap_bit);
   bitmap_unlock(map);
@@ -738,7 +736,7 @@
 
 void bitmap_lock_flip_bit(MY_BITMAP *map, uint bitmap_bit)
 {
-  DBUG_ASSERT(map->bitmap && bitmap_bit < map->n_bits);
+  assert(map->bitmap && bitmap_bit < map->n_bits);
   bitmap_lock(map);
   bitmap_flip_bit(map, bitmap_bit);
   bitmap_unlock(map);

=== modified file 'mysys/my_delete.c'
--- mysys/my_delete.c	2008-06-25 05:29:13 +0000
+++ mysys/my_delete.c	2008-07-17 21:11:32 +0000
@@ -20,8 +20,6 @@
 int my_delete(const char *name, myf MyFlags)
 {
   int err;
-  DBUG_ENTER("my_delete");
-  DBUG_PRINT("my",("name %s MyFlags %d", name, MyFlags));
 
   if ((err = unlink(name)) == -1)
   {
@@ -33,5 +31,5 @@
   else if ((MyFlags & MY_SYNC_DIR) &&
            my_sync_dir_by_file(name, MyFlags))
     err= -1;
-  DBUG_RETURN(err);
+  return(err);
 } /* my_delete */

=== modified file 'mysys/my_getopt.c'
--- mysys/my_getopt.c	2008-07-15 21:01:59 +0000
+++ mysys/my_getopt.c	2008-07-17 21:11:32 +0000
@@ -119,8 +119,8 @@
   int error, i;
 
   /* handle_options() assumes arg0 (program name) always exists */
-  DBUG_ASSERT(argc && *argc >= 1);
-  DBUG_ASSERT(argv && *argv);
+  assert(argc && *argc >= 1);
+  assert(argv && *argv);
   (*argc)--; /* Skip the program name */
   (*argv)++; /*      --- || ----      */
   init_variables(longopts, init_one_value);
@@ -822,7 +822,7 @@
 #endif
     break;
   default:
-    DBUG_ASSERT((optp->var_type & GET_TYPE_MASK) == GET_LL);
+    assert((optp->var_type & GET_TYPE_MASK) == GET_LL);
     break;
   }
 
@@ -890,7 +890,7 @@
 #endif
     break;
   default:
-    DBUG_ASSERT((optp->var_type & GET_TYPE_MASK) == GET_ULL);
+    assert((optp->var_type & GET_TYPE_MASK) == GET_ULL);
     break;
   }
 
@@ -960,7 +960,6 @@
 static void init_one_value(const struct my_option *option, char** variable,
 			   int64_t value)
 {
-  DBUG_ENTER("init_one_value");
   switch ((option->var_type & GET_TYPE_MASK)) {
   case GET_BOOL:
     *((bool*) variable)= (bool) value;
@@ -1014,7 +1013,7 @@
   default: /* dummy default to avoid compiler warnings */
     break;
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -1030,7 +1029,6 @@
 static void fini_one_value(const struct my_option *option, char **variable,
 			   int64_t value __attribute__ ((unused)))
 {
-  DBUG_ENTER("fini_one_value");
   switch ((option->var_type & GET_TYPE_MASK)) {
   case GET_STR_ALLOC:
     my_free((*(char**) variable), MYF(MY_ALLOW_ZERO_PTR));
@@ -1039,7 +1037,7 @@
   default: /* dummy default to avoid compiler warnings */
     break;
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -1065,11 +1063,9 @@
 static void init_variables(const struct my_option *options,
                            init_func_p init_one_value)
 {
-  DBUG_ENTER("init_variables");
   for (; options->name; options++)
   {
     char* *variable;
-    DBUG_PRINT("options", ("name: '%s'", options->name));
     /*
       We must set u_max_value first as for some variables
       options->u_max_value == options->value and in this case we want to
@@ -1083,7 +1079,7 @@
 	(variable= (*getopt_get_addr)("", 0, options)))
       init_one_value(options, variable, options->def_value);
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 

=== modified file 'mysys/my_init.c'
--- mysys/my_init.c	2008-07-17 17:44:14 +0000
+++ mysys/my_init.c	2008-07-17 21:11:32 +0000
@@ -64,14 +64,12 @@
   fastmutex_global_init();              /* Must be called early */
 #endif
 #if defined(HAVE_PTHREAD_INIT)
-  pthread_init();			/* Must be called before DBUG_ENTER */
+  pthread_init();
 #endif
   if (my_thread_global_init())
     return 1;
   sigfillset(&my_signals);		/* signals blocked by mf_brkhant */
   {
-    DBUG_ENTER("my_init");
-    DBUG_PROCESS((char*) (my_progname ? my_progname : "unknown"));
     if (!home_dir)
     {					/* Don't initialize twice */
       if ((home_dir=getenv("HOME")) != 0)
@@ -82,9 +80,8 @@
 	/* Default creation of new dir's */
       if ((str=getenv("UMASK_DIR")) != 0)
 	my_umask_dir=(int) (atoi_octal(str) | 0700);
-      DBUG_PRINT("exit",("home: '%s'",home_dir));
     }
-    DBUG_RETURN(0);
+    return(0);
   }
 } /* my_init */
 
@@ -100,12 +97,7 @@
   */
   FILE *info_file= DBUG_FILE;
   bool print_info= (info_file != stderr);
-  /*
-    We do not use DBUG_ENTER here, as after cleanup DBUG is no longer
-    operational, so we cannot use DBUG_RETURN.
-  */
-  DBUG_PRINT("info",("Shutting down: infoflag: %d  print_info: %d",
-                     infoflag, print_info));
+
   if (!info_file)
   {
     info_file= stderr;
@@ -119,7 +111,6 @@
     {
       sprintf(errbuff[0],EE(EE_OPEN_WARNING),my_file_opened,my_stream_opened);
       (void) my_message_no_curses(EE_OPEN_WARNING,errbuff[0],ME_BELL);
-      DBUG_PRINT("error",("%s",errbuff[0]));
       my_print_open_files();
     }
   }

=== modified file 'mysys/my_mkdir.c'
--- mysys/my_mkdir.c	2008-06-25 05:29:13 +0000
+++ mysys/my_mkdir.c	2008-07-17 21:11:32 +0000
@@ -20,16 +20,12 @@
 
 int my_mkdir(const char *dir, int Flags, myf MyFlags)
 {
-  DBUG_ENTER("my_dir");
-  DBUG_PRINT("enter",("dir: %s",dir));
-
   if (mkdir((char*) dir, Flags & my_umask_dir))
   {
     my_errno=errno;
-    DBUG_PRINT("error",("error %d when creating direcory %s",my_errno,dir));
     if (MyFlags & (MY_FFNF | MY_FAE | MY_WME))
       my_error(EE_CANT_MKDIR,  MYF(ME_BELL+ME_WAITTANG), dir, my_errno);
-    DBUG_RETURN(-1);
+    return(-1);
   }
-  DBUG_RETURN(0);
+  return(0);
 }

